Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.icore.domain
Class ObjectClass

    java.lang.Object
      ix.icore.AbstractAnnotatedObject
          ix.icore.AbstractIXObject
              ix.icore.domain.ObjectClass

All Implemented Interfaces:
  Annotated, Named, IXObject, java.io.Serializable, java.lang.Cloneable

    public class ObjectClass

extends AbstractIXObject
implements Named, java.lang.Cloneable

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `name`
`protected ix.icore.domain.ListOfObjectProperty` | `objectProperties`
`protected ix.util.lisp.ListOfSymbol` | `superClassNames`

Fields inherited from class ix.icore.AbstractAnnotatedObject
`annotationListeners, annotations`

Constructor Summary
`ObjectClass()`

Method Summary
`java.lang.Object` | `clone()`
`java.lang.String` | `getName()`
`ix.icore.domain.ListOfObjectProperty` | `getObjectProperties()`
`ix.util.lisp.ListOfSymbol` | `getSuperClassNames()`
`void` | `setName(java.lang.String name)`
`void` | `setObjectProperties(ix.icore.domain.ListOfObjectProperty objectProperties)`
`void` | `setSuperClassNames(ix.util.lisp.ListOfSymbol superClassNames)`
`java.lang.String` | `toString()`

Methods inherited from class ix.icore.AbstractAnnotatedObject
`addAnnotationListener, annMap, clearAnnotations, fireSetAnnotation, getAnnotation, getAnnotations, getComments, makeAnnMap, removeAnnotation, setAnnotation, setAnnotations, setComments, takeAnnotations`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface ix.icore.Annotated
`addAnnotationListener, clearAnnotations, fireSetAnnotation, getAnnotation, getAnnotations, removeAnnotation, setAnnotation, setAnnotations, takeAnnotations`

Field Detail

### name

    protected java.lang.String name

### superClassNames

    protected ix.util.lisp.ListOfSymbol superClassNames

### objectProperties

    protected ix.icore.domain.ListOfObjectProperty objectProperties

Constructor Detail

### ObjectClass

    public ObjectClass()

Method Detail

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `Named`

### setName

    public void setName(java.lang.String name)

### getSuperClassNames

    public ix.util.lisp.ListOfSymbol getSuperClassNames()

### setSuperClassNames

    public void setSuperClassNames(ix.util.lisp.ListOfSymbol superClassNames)

### getObjectProperties

    public ix.icore.domain.ListOfObjectProperty getObjectProperties()

### setObjectProperties

    public void setObjectProperties(ix.icore.domain.ListOfObjectProperty objectProperties)

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Overrides:
    `clone` in class `java.lang.Object`
  Throws:
    `java.lang.CloneNotSupportedException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD